Bug 365811 - Review Request: gnome-applet-tvn24 - Scrolled RSS aggregator for the polish TVN24 channel
Review Request: gnome-applet-tvn24 - Scrolled RSS aggregator for the polish T...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Michał Bentkowski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-04 09:51 EST by Jakub 'Livio' Rusinek
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-05 15:21:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mr.ecik: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jakub 'Livio' Rusinek 2007-11-04 09:51:30 EST
Spec URL: http://liviopl.jogger.pl/files/gnome-applet-tvn24.spec
SRPM URL: http://liviopl.jogger.pl/files/gnome-applet-tvn24-0.2.8-1.fc7.src.rpm
Description: Scrolled RSS aggregator for the polish TVN24 channel
Comment 1 Michał Bentkowski 2007-11-04 10:12:02 EST
Fails to build on x86_64:

error: Installed (but unpackaged) file(s) found:
   /usr/lib/bonobo/servers/TVN24.server
   /usr/lib/tvn24/tvn24
   /usr/lib/tvn24/tvn24.png

RPM build errors:
    user livio does not exist - using root
    group livio does not exist - using root
    user livio does not exist - using root
    group livio does not exist - using root
    user livio does not exist - using root
    group livio does not exist - using root
    File not found: /var/tmp/gnome-applet-tvn24-0.2.8-1.fc7-root-build/usr/
lib64/tvn24
    File not found: /var/tmp/gnome-applet-tvn24-0.2.8-1.fc7-root-build/usr/
lib64/bonobo/servers/TVN24.server
    Installed (but unpackaged) file(s) found:
   /usr/lib/bonobo/servers/TVN24.server
   /usr/lib/tvn24/tvn24
   /usr/lib/tvn24/tvn24.png

It seems you gotta make some fixes in Makefile.am. 
You can easily use sed to this task, e.g:
sed -i "s#tvn24dir = .*#tvn24dir = %{_libdir}/tvn24#" Makefile.am
sed -i "s#data = .*#data = %{_datadir}/tvn24#" Makefile.am
etc.
(there aren't many files to install so it may be easier to do that by yourself,
instead of fixing Makefile.am)
Also there are some hard-coded paths in TVN24.server file,
use sed once again to fix them.
Comment 3 Jakub 'Livio' Rusinek 2007-11-04 11:07:43 EST
PS: It is not my first review request, but I'm waiting for a sponsor.
Comment 5 Michał Bentkowski 2007-11-05 07:46:36 EST
REVIEW:

 * %{?dist} tag present
 * package licensed under GPLv3, license text included
 * rpmlint is quiet
 * source files match upstream
 * md5sum fine: 384b022405a673ff75307905735904ea
 * BRs seem well (not checked by mock though)
 * final provides and requires sane
 * package doesn't create any new directory and there's nothing wrong with 
owning
 * %clean section present
 * buildroot fine
 * %files section good
 * no check suite
 * no scriptlets required
 * no subpackages
 * no .la files
 * no GUI

I'm going to sponsor you.
Go to http://fedoraproject.org/wiki/PackageMaintainers/Join now,
read point 4 of "get a Fedora Account" and I'll approve your membership.
Information on all the things you need to do next you'll find on the site
I mentioned above. If you have any problems, questions, feel free to contact me.
Good luck!
Comment 6 Jakub 'Livio' Rusinek 2007-11-05 08:48:40 EST
New Package CVS Request
=======================
Package Name: gnome-applet-tvn24
Short Description: Scrolled RSS aggregator for the polish TVN24 channel
Owners: liviopl
Branches: F-8
InitialCC: liviopl
Cvsextras Commits:yes
Comment 7 Kevin Fenzi 2007-11-05 11:44:40 EST
cvs done.
Comment 8 Jakub 'Livio' Rusinek 2007-11-05 11:45:42 EST
Package Change Request
======================
Package Name: gnome-applet-tvn24
New Branches: F-7
Comment 9 Jason Tibbitts 2007-11-05 15:12:07 EST
CVS done.
Comment 10 Jakub 'Livio' Rusinek 2007-11-05 15:21:51 EST
Thanks for help, Fedora users and developers :) .
Package built successfully do F-7, F-8 and devel.

Ready for users. Closing as NEXTRELASE.

Note You need to log in before you can comment on or make changes to this bug.